<?php
/**
 * Block Patterns
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_pattern/
 * @link https://developer.wordpress.org/reference/functions/register_block_pattern_category/
 *
 * @package Hansen
 */

register_block_pattern_category(
	'hansen-template-parts',
	array( 'label' => __( 'Hansen - Template Parts', 'hansen' ) )
);

register_block_pattern_category(
	'hansen-blog',
	array( 'label' => __( 'Hansen - Blog', 'hansen' ) )
);

register_block_pattern_category(
	'hansen-design',
	array( 'label' => __( 'Hansen - Design', 'hansen' ) )
);

register_block_pattern(
	'hansen-template-parts/header',
	array(
		'title'         => __( 'Header (dark)', 'hansen' ),
		'categories'    => array( 'hansen-template-parts' ),
		'keywords'		=> array( 'template' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:group {"align":"full","backgroundColor":"dark","textColor":"light","className":"site-header"} -->
<div class="wp-block-group alignfull has-light-color has-dark-background-color has-text-color has-background site-header">
	<div class="wp-block-group__inner-container">

		<!-- wp:group {"align":"wide","className":"site-header-inner"} -->
		<div class="wp-block-group alignwide site-header-inner">
			<div class="wp-block-group__inner-container">

				<!-- wp:columns {"verticalAlignment":"center","className":"is-style-no-bottom-margin"} -->
				<div class="wp-block-columns are-vertically-aligned-center is-style-no-bottom-margin"><!-- wp:column {"verticalAlignment":"center","width":"33.33%"} -->
				<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:33.33%"><!-- wp:site-logo /-->
				<!-- wp:site-title {"textColor":"light-blue"} /-->
				<!-- wp:site-tagline /--></div>
				<!-- /wp:column -->

				<!-- wp:column {"verticalAlignment":"center","width":"66.66%"} -->
				<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:66.66%"><!-- wp:navigation {"orientation":"horizontal","itemsJustification":"right","className":"is-style-mobile"} /--></div>
				<!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group --></div>
</div>
<!-- /wp:group -->',
	)
);

register_block_pattern(
	'hansen-template-parts/header-light',
	array(
		'title'         => __( 'Header (light)', 'hansen' ),
		'categories'    => array( 'hansen-template-parts' ),
		'keywords'		=> array( 'template' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:group {"align":"full","backgroundColor":"light","textColor":"black","className":"site-header"} -->
<div class="wp-block-group alignfull has-black-color has-light-background-color has-text-color has-background site-header">
	<div class="wp-block-group__inner-container">

		<!-- wp:group {"align":"wide","className":"site-header-inner"} -->
		<div class="wp-block-group alignwide site-header-inner">
			<div class="wp-block-group__inner-container">

				<!-- wp:columns {"verticalAlignment":"center","className":"is-style-no-bottom-margin"} -->
				<div class="wp-block-columns are-vertically-aligned-center is-style-no-bottom-margin"><!-- wp:column {"verticalAlignment":"center","width":"33.33%"} -->
				<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:33.33%"><!-- wp:site-logo /-->
				<!-- wp:site-title {"textColor":"blue"} /-->
				<!-- wp:site-tagline /--></div>
				<!-- /wp:column -->

				<!-- wp:column {"verticalAlignment":"center","width":"66.66%"} -->
				<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:66.66%"><!-- wp:navigation {"orientation":"horizontal","itemsJustification":"right","className":"is-style-mobile"} /--></div>
				<!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group --></div>
</div>
<!-- /wp:group -->',
	)
);

register_block_pattern(
	'hansen-blog/latest-posts-2-columns',
	array(
		'title'         => __( 'Latest Posts (2 columns)', 'hansen' ),
		'categories'    => array( 'hansen-blog' ),
		'keywords'		=> array( 'blog' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:query {"queryId":1,"query":{"offset":0,"perPage":4,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","sticky":"","inherit":false},"layout":{"type":"flex","columns":2}} -->
<!-- wp:query-loop {"className":"is-style-box-shadow"} -->
<!-- wp:post-title {"isLink":true} /-->
<!-- wp:post-date /-->
<!-- wp:post-author {"showAvatar":false,"showBio":false} /-->
<!-- wp:post-featured-image {"isLink":true} /-->
<!-- wp:post-excerpt /-->
<!-- wp:post-hierarchical-terms {"term":"category"} /-->
<!-- wp:post-tags /-->
<!-- /wp:query-loop -->
<!-- /wp:query -->',
	)
);

register_block_pattern(
	'hansen-blog/latest-posts-3-columns',
	array(
		'title'         => __( 'Latest Posts (3 columns)', 'hansen' ),
		'categories'    => array( 'hansen-blog' ),
		'keywords'		=> array( 'blog' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:query {"queryId":1,"query":{"offset":0,"perPage":6,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","sticky":"","inherit":false},"layout":{"type":"flex","columns":3}} -->
<!-- wp:query-loop {"className":"is-style-box-shadow"} -->
<!-- wp:post-title {"isLink":true} /-->
<!-- wp:post-date /-->
<!-- wp:post-author {"showAvatar":false,"showBio":false} /-->
<!-- wp:post-featured-image {"isLink":true} /-->
<!-- wp:post-excerpt /-->
<!-- wp:post-hierarchical-terms {"term":"category"} /-->
<!-- wp:post-tags /-->
<!-- /wp:query-loop -->
<!-- /wp:query -->',
	)
);

register_block_pattern(
	'hansen-blog/content-sidebar',
	array(
		'title'         => __( 'Content and Sidebar', 'hansen' ),
		'categories'    => array( 'hansen-blog' ),
		'keywords'		=> array( 'blog' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:columns {"className":"is-style-sidebar"} -->
<div class="wp-block-columns is-style-sidebar"><!-- wp:column {"width":"75%"} -->
<div class="wp-block-column" style="flex-basis:75%"><!-- wp:heading -->
<h2>A heading</h2>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p>Some content.</p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column {"width":"25%"} -->
<div class="wp-block-column" style="flex-basis:25%"><!-- wp:group {"backgroundColor":"white"} -->
<div class="wp-block-group has-white-background-color has-background"><div class="wp-block-group__inner-container"><!-- wp:heading {"level":4} -->
<h4>Latest Posts</h4>
<!-- /wp:heading -->

<!-- wp:latest-posts /-->

<!-- wp:heading {"level":4} -->
<h4>Recent Comments</h4>
<!-- /wp:heading -->

<!-- wp:latest-comments {"displayAvatar":false} /-->

<!-- wp:heading {"level":4} -->
<h4>Tags</h4>
<!-- /wp:heading -->

<!-- wp:tag-cloud /--></div></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->',
	)
);

register_block_pattern(
	'hansen-blog/columns-and-cover',
	array(
		'title'         => __( '2 Columns of Text and a full-width Cover', 'hansen' ),
		'categories'    => array( 'hansen-design' ),
		'viewportWidth' => 1440,
		'content'       => '<!-- wp:spacer {"height":30} -->
<div style="height:30px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:columns {"verticalAlignment":"top","className":"is-style-default"} -->
<div class="wp-block-columns are-vertically-aligned-top is-style-default"><!-- wp:column {"verticalAlignment":"top","width":"25%"} -->
<div class="wp-block-column is-vertically-aligned-top" style="flex-basis:25%"><!-- wp:paragraph {"textColor":"black","fontSize":"large"} -->
<p class="has-black-color has-text-color has-large-font-size">' . __( 'Build your site with blocks', 'hansen') . '</p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"top","width":"75%"} -->
<div class="wp-block-column is-vertically-aligned-top" style="flex-basis:75%"><!-- wp:paragraph {"fontSize":"medium"} -->
<p class="has-medium-font-size">' . __( 'Welcome to the Hansen full site editing theme.', 'hansen') . '</p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p>' . __( 'Everything on this website is built with blocks. Not only the page content, the entire site layout too.', 'hansen') . '</p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p>' . __( 'Make use of blocks to create all the various parts of your website. Design your website header, footer, pages, posts and more using the visual block editor. This is a modular approach with a great deal of flexibility.', 'hansen') . '</p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:cover {"url":"' . esc_url( get_theme_file_uri( 'assets/images/cover-01.jpg' ) ) . '","dimRatio":80,"overlayColor":"dark","minHeight":600,"align":"full"} -->
<div class="wp-block-cover alignfull has-background-dim-80 has-dark-background-color has-background-dim" style="min-height:600px"><img class="wp-block-cover__image-background" alt="" src="' . esc_url( get_theme_file_uri( 'assets/images/cover-01.jpg' ) ) . '" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:paragraph {"align":"center","textColor":"light","fontSize":"huge"} -->
<p class="has-text-align-center has-light-color has-text-color has-huge-font-size">' . __( 'What is full site editing?', 'hansen') . '</p>
<!-- /wp:paragraph -->

<!-- wp:group {"align":"wide"} -->
<div class="wp-block-group alignwide"><div class="wp-block-group__inner-container"><!-- wp:paragraph {"align":"center","textColor":"light"} -->
<p class="has-text-align-center has-light-color has-text-color">' . __( 'With the new global styles feature, you can easily edit your color scheme and typography, either globally across the whole site, or by block type. This differs from the previous customizer, as it gives you more control over the design and layout of your site.', 'hansen') . '</p>
<!-- /wp:paragraph -->

<!-- wp:spacer {"height":40} -->
<div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:buttons {"contentJustification":"center"} -->
<div class="wp-block-buttons is-content-justification-center"><!-- wp:button {"borderRadius":6,"backgroundColor":"blue"} -->
<div class="wp-block-button"><a class="wp-block-button__link has-blue-background-color has-background" style="border-radius:6px">' . __( 'Learn More', 'hansen') . '</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div></div>
<!-- /wp:group --></div></div>
<!-- /wp:cover -->',
	)
);
